Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

Record a run step

POST/api/agent/runs/{id}/events
Authorization
AuthorizationBearer token (ba_run_...) · headerrequired

Per-run token returned by start, valid for 6 hours and bound to one run.

or
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Path parameters
idstringrequired

Run id

Request body
requiredapplication/json
executor_idstring
step_idstringrequired
statusstringrequired
Allowed:startedcompletedfailedinfo
messagestring
metadataobject
Responses
200

OK

eventobject
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
409

RUN_NOT_ACTIVE

errorstringrequired
codestring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST "https://www.brainyshorts.com/api/agent/runs/string/events" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "executor_id": "string",
  "step_id": "string",
  "status": "started",
  "message": "string",
  "metadata": {}
}'
Response
{
  "event": {}
}